GestionSoutenances/GestionSoutenances/urls.py
from django.conf.urls import url, include
from django.contrib import admin
from django.conf.urls.static import static
from django.conf import settings

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^soutenances/', include('Soutenances.urls')),
]+ static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

GestionSoutenances/Soutenances/urls.py
from django.conf.urls import url
from .views import *
from . import views

app_name = 'Soutenances'
urlpatterns = [
    url(r'^$', views.login_form, name="login"),

    url(r'^api/groupes/$', GroupeList.as_view(), name='groupe-list'),
    url(r'^api/groupes/detail/(?P<pk>\d+)$', GroupeDestroy.as_view(), name='groupe-detail'),

    url(r'^api/etudiants/$', EtudiantList.as_view(), name='etudiant-list'),
    url(r'^api/etudiants/detail/(?P<pk>\d+)$', EtudiantDestroy.as_view(), name='etudiant-detail'),

    url(r'^api/enseignants/$', EnseignantList.as_view(), name='enseignant-list'),
    url(r'^api/enseignants/detail/(?P<pk>\d+)$', EnseignantDestroy.as_view(), name='enseignant-detail'),

    url(r'^api/evenements/$', EvenementList.as_view(), name='evenement-list'),
    url(r'^api/evenements/detail/(?P<pk>\d+)$', EvenementDestroy.as_view(), name='evenement-detail'),

    url(r'^api/users/$', UserList.as_view(), name='user-list'),
    url(r'^api/users/detail/(?P<pk>\d+)$', UserDestroy.as_view(), name='user-detail'),

    url(r'^api/groupesSoutenances/$', GroupeSoutenanceList.as_view(), name='groupesoutenances-list'),
    url(r'^api/groupesSoutenances/detail/(?P<pk>\d+)$', GroupeSoutenanceDestroy.as_view(), name='groupesoutenances-detail'),

    url(r'^api/slots/$', SlotsList.as_view(), name='slots-list'),
    url(r'^api/slots/detail/(?P<pk>\d+)$', SlotsDestroy.as_view(), name='slots-detail'),

    url(r'^api/Soutenances/$', SoutenanceList.as_view(), name='groupesoutenances-list'),
    url(r'^api/Soutenances/detail/(?P<pk>\d+)$', SoutenanceDestroy.as_view(), name='groupesoutenances-detail'),

    url(r'^registerchoice', views.register_choice, name="registerchoice"),
    url(r'^registerstudent', views.register_student, name="registerstudent"),
    url(r'^registerteacher', views.register_teacher, name="registerteacher"),
    url(r'^inscription_student', views.inscription_student, name="inscriptionstudent"),
    url(r'^inscription_teacher', views.inscription_teacher, name="inscriptionteacher"),
    url(r'^connexion', views.login_form, name="login"),
    url(r'^login', views.connexion, name="connexion"),
    url(r'^deconnexion', views.deconnexion, name="deconnexion"),
    url(r'^profil', views.profil, name="profil"),
    url(r'^updateprofil', views.updateprofil, name="updateprofil"),

    url(r'^mesSoutenances', views.mesSoutenances, name="mesSoutenances"),

    url(r'^groupes/delete/(?P<pk>\d+)$', views.GroupeDelete.as_view(),name="groupe_delete"),
    url(r'^groupes/$', ListeGroupeView.as_view(), name='groupe_list'),
    url(r'^groupes/add$', GroupeCreateView.as_view(), name="groupe_form"),
    url(r'^groupes/update/(?P<pk>\d+)$', GroupeUpdate.as_view(), name="groupe_update"),

    url(r'^etudiants/$', ListeEtudiantView.as_view(), name='etudiant_list'),
    url(r'^etudiants/add$', EtudiantCreateView.as_view(), name="etudiant_form"),
    url(r'^etudiants/update/(?P<pk>\d+)$',EtudiantUpdate.as_view(), name="etudiant_update"),
    url(r'^etudiants/delete/(?P<pk>\d+)$',EtudiantDelete.as_view(), name="etudiant_delete"),

    url(r'^enseignants/$', ListeEnseignantView.as_view(), name='enseignant_list'),
    url(r'^enseignants/add$', EnseignantCreateView.as_view(), name="enseignant_form"),
    url(r'^enseignants/update/(?P<pk>\d+)$',EnseignantUpdate.as_view(), name="enseignant_update"),
    url(r'^enseignants/delete/(?P<pk>\d+)$',EnseignantDelete.as_view(), name="enseignant_delete"),

    url(r'^evenements/$', ListeEvenementView.as_view(), name='evenement_list'),
    url(r'^evenements/add$', EvenementCreateView.as_view(), name='evenement_form'),
    url(r'^evenements/update/(?P<pk>\d+)$',EvenementUpdate.as_view(), name="evenement_update"),
    url(r'^evenements/delete/(?P<pk>\d+)$',EvenementDelete.as_view(), name="evenement_delete"),
    url(r'^evenements/detail/(?P<pk>\d+)$',EvenementDetail.as_view(), name="evenement_detail"),


    url(r'^groupeSoutenances/$', ListeGroupeSoutenanceView.as_view(), name='groupeSoutenances_list'),
    url(r'^groupeSoutenances/add$', GroupeSoutenanceCreateView.as_view(), name="groupeSoutenances_form"),
    url(r'^groupeSoutenances/update/(?P<pk>\d+)$',GroupeSoutenanceUpdate.as_view(), name="groupeSoutenances_update"),
    url(r'^groupeSoutenances/delete/(?P<pk>\d+)$',GroupesSoutenancesDelete.as_view(), name="groupeSoutenances_delete"),
]

GestionSoutenances/Soutenances/views.py
from django.contrib.auth import authenticate, login, logout
from django.contrib.auth.decorators import login_required
# from django.contrib.auth.models import User
from django.shortcuts import render, redirect
from django.template import RequestContext
from django.http import HttpResponse, HttpResponseRedirect
from django.views.generic import *
from django.urls import reverse_lazy
from Soutenances.models import *
from .serializers import *
from GestionSoutenances.settings import *

from rest_framework import generics

# def home(request):
#     slots = Slots.objects.all()
#     return render(request, "Soutenances/calendar2.html", {
#         "slots": slots
#     })

def register_choice(request): #pour choisir entre inscription de professeur et d'étudiant
    return render(request, "Soutenances/register_choice.html")

def register_student(request):
    groupes = Groupe.objects.all()
    return render(request, "Soutenances/studentregister.html", {
        "groupes": groupes
    })

def register_teacher(request):
    return render(request, "Soutenances/teacherregister.html")

def inscription_student(request):
    nom = request.POST['nom']
    prenom = request.POST['prenom']
    pseudo = request.POST['pseudo']
    password = request.POST['password']
    classe = request.POST['classe']
    User.objects.create(nom=nom, prenom=prenom, pseudo=pseudo, password=password, classe=classe, groupe="eleves")
    user = User.objects.get(pseudo=pseudo, password=password) # récupère le compte créé
    groupe = Groupe.objects.get(nom=classe) #récupération de l'instance de groupe
    Etudiant.objects.create(nom=nom, prenom=prenom, groupe=groupe, user=user) #création de l'étudiant
    return render(request, "Soutenances/connexion.html")

def inscription_teacher(request):
    nom = request.POST['nom']
    prenom = request.POST['prenom']
    pseudo = request.POST['pseudo']
    password = request.POST['password']
    User.objects.create(nom=nom, prenom=prenom, pseudo=pseudo, password=password, groupe="professeurs")
    user = User.objects.get(pseudo=pseudo, password=password) # récupère le compte créé
    Enseignant.objects.create(nom=nom, prenom=prenom, user=user)
    return render(request, "Soutenances/connexion.html")

def login_form(request):
    return render(request, "Soutenances/connexion.html")

def mesSoutenances(request):
    user = request.user
    if user.groupe == "eleves":
        etudiant = Etudiant.objects.get(user=user)
        groupeSoutenance = GroupeSoutenance.objects.all()
        for groupe in groupeSoutenance:
            if etudiant in groupe.etudiants.all():
                soutenances = Soutenance.objects.filter(groupeSoutenance=groupe)
        return render(request, "Soutenances/mesSoutenances.html", {
            "user": user,
            "etudiant": etudiant,
            "soutenances": soutenances
        })
    elif user.groupe == "professeurs":
        enseignant = Enseignant.objects.get(user=user)
        groupeSoutenance = GroupeSoutenance.objects.all()
        for groupe in groupeSoutenance:
            if enseignant == groupe.evenement.enseignant:
                soutenances = Soutenance.objects.filter(groupeSoutenance=groupe)
        return render(request, "Soutenances/mesSoutenances.html", {
            "user": user,
            "enseignant": enseignant,
            "soutenances": soutenances
        })

class CustomAuth(object):

    def authenticate(self, nom=None, password=None):
        try:
            user = User.objects.get(pseudo=nom)
            if user.password == password:
                return user
        except:
            user = None
            return user

    def get_user(self, nom):
        user = User.objects.get(pseudo=nom)
        if user.is_active:
            return user
        return None

def connexion(request):
    username = request.POST['username']
    password = request.POST['password']
    auth = CustomAuth()
    user = auth.authenticate(nom=username, password=password)
    if user is not None:
        login(request, user)
        return render(request, "Soutenances/accueil.html", {
            "user": user
        })
    else:
        return render(request, "Soutenances/connexion.html", {
            "error": "La combinaison nom / mot de passe ne correspond pas"
        })

def deconnexion(request):
    logout(request)
    return render(request, "Soutenances/accueil.html", {
        "user": None
    })

def profil(request):
    user = request.user # récupère l'utilisateur connecté
    if user.groupe == "eleves":
        etudiant = Etudiant.objects.get(user=user) #récupération de l'étudiant associé
        groupes = Groupe.objects.all()
        return render(request, "Soutenances/profil.html", {
            "user": user,
            "etudiant": etudiant,
            "groupes": groupes
        })
    elif user.groupe == "professeurs":
        enseignant = Enseignant.objects.get(user=user)
        return render(request, "Soutenances/profil.html", {
            "user": user,
            "enseignant": enseignant
        })
    return None

def updateprofil(request):
    user = request.user # récupère l'utilisateur connecté
    if user.groupe == "eleves":
        etudiant = Etudiant.objects.get(user=user)
        nom = request.POST['nom']
        prenom = request.POST['prenom']
        detail = request.POST['detail']
        try:
            photo = request.FILES['photo']
            etudiant.photo = photo
        except:
            print("doesn't work")
        groupe = Groupe.objects.get(nom=request.POST['groupe'])

        etudiant.nom = nom
        etudiant.prenom = prenom
        etudiant.detail = detail
        etudiant.groupe = groupe
        etudiant.save()

        user.nom = nom
        user.prenom = prenom
        user.classe = groupe.nom
        user.save()

        groupes = Groupe.objects.all()
        return render(request, "Soutenances/profil.html", {
            "user": user,
            "etudiant": etudiant,
            "groupes": groupes
        })
    elif user.groupe == "professeurs":
        enseignant = Enseignant.objects.get(user=user)
        nom = request.POST['nom']
        prenom = request.POST['prenom']
        detail = request.POST['detail']
        try:
            photo = request.FILES['photo']
            enseignant.photo = photo
        except:
            print("doesn't work")

        enseignant.nom = nom
        enseignant.prenom = prenom
        enseignant.detail = detail
        enseignant.save()

        user.nom = nom
        user.prenom = prenom
        user.save()

        return render(request, "Soutenances/profil.html", {
            "user": user,
            "enseignant": enseignant
        })

# Gestion des groupes

class UserList(generics.ListCreateAPIView):
    queryset = User.objects.all()
    serializer_class = UserSerializer

class UserDestroy(generics.RetrieveUpdateDestroyAPIView):
    queryset = User.objects.all()
    serializer_class = UserSerializer

class GroupeList(generics.ListCreateAPIView):
    queryset = Groupe.objects.all()
    serializer_class = GroupeSerializer

class GroupeDestroy(generics.RetrieveUpdateDestroyAPIView):
    queryset = Groupe.objects.all()
    serializer_class = GroupeSerializer

class EtudiantList(generics.ListCreateAPIView):
    queryset = Etudiant.objects.all()
    serializer_class = EtudiantSerializer

class EtudiantDestroy(generics.RetrieveUpdateDestroyAPIView):
    queryset = Etudiant.objects.all()
    serializer_class = EtudiantSerializer


class EnseignantList(generics.ListCreateAPIView):
    queryset = Enseignant.objects.all()
    serializer_class = EnseignantSerializer

class EnseignantDestroy(generics.RetrieveUpdateDestroyAPIView):
    queryset = Enseignant.objects.all()
    serializer_class = EnseignantSerializer


class EvenementList(generics.ListCreateAPIView):
    queryset = Groupe.objects.all()
    serializer_class = GroupeSerializer

class EvenementDestroy(generics.RetrieveUpdateDestroyAPIView):
    queryset = Evenement.objects.all()
    serializer_class = EvenementSerializer

class GroupeSoutenanceList(generics.ListCreateAPIView):
    queryset = GroupeSoutenance.objects.all()
    serializer_class = GroupeSoutenanceSerializer

class GroupeSoutenanceDestroy(generics.RetrieveUpdateDestroyAPIView):
    queryset = GroupeSoutenance.objects.all()
    serializer_class = GroupeSoutenanceSerializer

class SlotsList(generics.ListCreateAPIView):
    queryset = Slots.objects.all()
    serializer_class = SlotsSerializer

class SlotsDestroy(generics.RetrieveUpdateDestroyAPIView):
    queryset = Slots.objects.all()
    serializer_class = SlotsSerializer

class SoutenanceList(generics.ListCreateAPIView):
    queryset = Soutenance.objects.all()
    serializer_class = SoutenanceSerializer

class SoutenanceDestroy(generics.RetrieveUpdateDestroyAPIView):
    queryset = Soutenance.objects.all()
    serializer_class = SoutenanceSerializer

from django import forms

class GroupeForm(forms.ModelForm):
    class Meta:
        model = Groupe
        fields = ['nom']
        widgets = {
            'nom': forms.TextInput(attrs={'class': 'form-control', 'placeholder': 'Nom'}),
        }

class GroupeCreateView(CreateView):
    '''
    Ajout d'un groupe
    '''
    model = Groupe
    # fields = ['nom']
    form_class = GroupeForm

class ListeGroupeView(ListView):
    '''
    Liste des groupes
    '''
    model = Groupe
    def get_context_data(self, **kwargs):
        context = super(ListeGroupeView, self).get_context_data(**kwargs)
        context["groupes"] = Groupe.objects.all()
        return context

class GroupeUpdate(UpdateView):
    """
    Modification d'un groupe
    """
    model = Groupe
    # fields = ['nom']
    template_name_suffix = '_update_form'
    form_class = GroupeForm


class GroupeDelete(DeleteView):
    model = Groupe
    success_url = "/soutenances/groupes"

# Gestion des étudiants

class EtudiantForm(forms.ModelForm):
    class Meta:
        model = Etudiant

GestionSoutenances/Soutenances/templates/Soutenances/accueil.html
{% extends 'Soutenances/base.html' %}

{% block title %} Connexion {% endblock %}

{% block contenu %}
  {% if user %}
  <h3> Connecté en tant que {{user.nom}} </h3>
  {% else %}
  <h3> Déconnexion effectuée </h3>
  {% endif %}
{% endblock %}

GestionSoutenances/Soutenances/templates/Soutenances/connexion.html
{% extends 'Soutenances/base.html' %}

{% block title %} Connexion {% endblock %}

{% block contenu %}
    <form action="{% url 'Soutenances:connexion' %}" method="POST">
    {% csrf_token %}
    <div class="col-lg-6">
      <input type="text" name="username" class="form-control" placeholder="Nom d'utilisateur"> <br/>
      <input type="password" name="password" class="form-control" placeholder="Mot de passe"> <br/>
      <button type="submit" class="btn btn-success">
        <i class="glyphicon glyphicon-ok"></i> Connexion
      </button>
      {% if error %}
      <div class="alert alert-danger" role="alert" style="margin-top:2%;">
        {{error}}
      </div>
      {% endif %}
    </div>
  </form>
{% endblock %}

GestionSoutenances/Soutenances/templates/Soutenances/enseignant_confirm_delete.html
{% extends 'Soutenances/base.html' %}

{% block title %} Suppression d'un enseignant{% endblock %}

{% block contenu %}
    {% if user.groupe == "admin" %}
    <form action="" method="post">{% csrf_token %}
        <p>Êtes-vous sûr de vouloir supprimer "{{ object }}"?</p>
        <button class="btn btn-danger" type="submit"><i class="glyphicon glyphicon-remove"></i> Oui </button>
        <a href="{% url 'Soutenances:enseignant_list' %}" class="btn btn-success"><i class="glyphicon glyphicon-chevron-left"></i> Non </a>
    </form>
    {% else %}
    <div class="alert alert-danger" role="alert">
      Vous <strong>n'avez pas accès</strong> à cette page !
    </div>
    {% endif %}
{% endblock %}

GestionSoutenances/Soutenances/templates/Soutenances/enseignant_update_form.html
{% extends 'Soutenances/base.html' %}

{% block title %} Modification d'un enseignant {% endblock %}

{% block contenu %}
   {% if user.groupe == "admin" %}
   <form action="" method="POST" enctype="multipart/form-data">
       {% csrf_token %}
       <div class="row">
         <div class="col-lg-6">
           <h4> {{ form.prenom }} </h4>
           <h4> {{ form.nom }} </h4>
           <h4> {{ form.photo }} </h4>
           <h4> {{ form.detail }} </h4>
         </div>
       </div>
       <a href="{% url 'Soutenances:enseignant_list' %}" class="droite">
         <button type="button" class="btn btn-success">
           <i class="glyphicon glyphicon-arrow-left"></i> Annuler
         </button>
       </a>
       <button type="submit" class="btn btn-warning" title="ajouter">
         <i class="glyphicon glyphicon-pencil"></i> Modifier
       </button>
   </form>
   {% else %}
   <div class="alert alert-danger" role="alert">
     Vous <strong>n'avez pas accès</strong> à cette page !
   </div>
   {% endif %}
{% endblock %}

GestionSoutenances/Soutenances/templates/Soutenances/evenement_confirm_delete.html
{% extends 'Soutenances/base.html' %}

{% block title %} Suppression d'un événement {% endblock %}

{% block contenu %}
    {% if user.groupe == "admin" or user.nom == object.enseignant.nom and user.groupe == "professeurs" %}
    <form action="" method="post">{% csrf_token %}
        <p>Êtes-vous sûr de vouloir supprimer "{{ object.nom }}"?</p>
        <button class="btn btn-danger" type="submit"><i class="glyphicon glyphicon-remove"></i> Oui </button>
        <a href="{% url 'Soutenances:evenement_list' %}" class="btn btn-success"><i class="glyphicon glyphicon-chevron-left"></i> Non </a>
    </form>
    {% else %}
    <div class="alert alert-danger" role="alert">
      Vous <strong>n'avez pas accès</strong> à cette page !
    </div>
    {% endif %}
{% endblock %}

GestionSoutenances/Soutenances/templates/Soutenances/groupe_form.html
{% extends 'Soutenances/base.html' %}

{% block title %}Ajout d'un groupe{% endblock %}
{% block contenu %}
   {% if user.groupe == "admin" %}
   <form action="" method="POST">
       {% csrf_token %}
       <div class="row">
         <div class="col-lg-6">
           <h4> {{ form.nom }} </h4>
         </div>
         <div class="col-lg-6"></div>
       </div>
       <button type="submit" class="btn btn-success" title="ajouter">
         <i class="glyphicon glyphicon-plus-sign"></i> Ajouter
       </button>
   </form>
   {% else %}
   <div class="alert alert-danger" role="alert">
     Vous <strong>n'avez pas accès</strong> à cette page !
   </div>
   {% endif %}
{% endblock %}

GestionSoutenances/Soutenances/templates/Soutenances/groupesoutenance_confirm_delete.html
{% extends 'Soutenances/base.html' %}

{% block title %} Suppression d'un enseignant{% endblock %}

{% block contenu %}
    {% if user.groupe == "admin" or user.groupe == "professeurs" %}
    <form action="" method="post">{% csrf_token %}
        <p>Êtes-vous sûr de vouloir supprimer "{{ object }}"?</p>
        <button class="btn btn-danger" type="submit"><i class="glyphicon glyphicon-remove"></i> Oui </button>
        <a href="{% url 'Soutenances:groupeSoutenances_list' %}" class="btn btn-success"><i class="glyphicon glyphicon-chevron-left"></i> Non </a>
    </form>
    {% else %}
    <div class="alert alert-danger" role="alert">
      Vous <strong>n'avez pas accès</strong> à cette page !
    </div>
    {% endif %}
{% endblock %}

GestionSoutenances/Soutenances/templates/Soutenances/groupesoutenance_update_form.html
{% extends 'Soutenances/base.html' %}

{% block title %} Ajout d'un enseignant {% endblock %}

{% block contenu %}
   {% if user.groupe == "admin" or user.groupe == "professeurs" %}
   <form action="" method="POST">
       {% csrf_token %}
       <h4> {{ form.nom.label }} {{ form.nom }} </h4>
       <h4> {{ form.etudiants.label }} {{ form.etudiants }} </h4>
       <h4> {{ form.evenement.label }} {{ form.evenement }} </h4>
       <a href="{% url 'Soutenances:groupeSoutenances_list' %}" class="droite">
         <button type="button" class="btn btn-success">
           <i class="glyphicon glyphicon-arrow-left"></i> Annuler
         </button>
       </a>
       <button type="submit" class="btn btn-warning" title="ajouter">
         <i class="glyphicon glyphicon-pencil"></i> Modifier
       </button>
   </form>
   {% else %}
   <div class="alert alert-danger" role="alert">
     Vous <strong>n'avez pas accès</strong> à cette page !
   </div>
   {% endif %}
{% endblock %}

GestionSoutenances/Soutenances/templates/Soutenances/profil.html
{% extends 'Soutenances/base.html' %}

{% block title %} Mon profil {% endblock %}

{% block contenu %}
  {% if user.groupe == "eleves" and etudiant %}
  <div class="container">
    <ul class="list-group">
      <li class="list-group-item liEtuFirst">
        <div class="col-lg-6">
          <img src='/media/{{etudiant.photo}}'>
          <ul class="ulEtudiant">
            <li class="list-group-item"> {{etudiant.prenom}} {{etudiant.nom}}</li>
            <li class="list-group-item"> Détail : {{etudiant.detail}} </li>
            <li class="list-group-item"> Groupe : {{etudiant.groupe.nom}} </li>
          </ul>
        </div>
      <div class="col-lg-6">
        <form action="{% url 'Soutenances:updateprofil' %}" method="POST" enctype="multipart/form-data">
          {% csrf_token %}
          <h3> Modification du profil </h3>
          <input type="text" class="form-control" name="nom" placeholder="Nom" value="{{etudiant.nom}}"/> <br/>
          <input type="text" class="form-control" name="prenom" placeholder="Prenom" value="{{etudiant.prenom}}"/> <br/>
          <input type="text" class="form-control" name="detail" placeholder="Détail" value="{{etudiant.detail}}"/> <br/>
          <input type="file" class="form-control-file" name="photo" value="{{etudiant.photo}}"/> <br/>
          <select class="form-control" name="groupe">
            {% for groupe in groupes %}
              {% if groupe == etudiant.groupe %}
              <option value="{{groupe}}" selected> {{groupe}} </option>
              {% else %}
              <option value="{{groupe}}"> {{groupe}} </option>
              {% endif %}
            {% endfor %}
          </select> <br/>
          <button type="submit" class="btn btn-warning"><i class="glyphicon glyphicon-pencil"></i> Modifier </button>
        </form>
      </div>
      </li>
    </ul>
  </div>
  {% elif user.groupe == "professeurs" and enseignant %}
  <div class="container">
    <ul class="list-group">
      <li class="list-group-item liEtuFirst">
        <div class="col-lg-6">
          <img src='/media/{{enseignant.photo}}'>
          <ul class="ulEtudiant">
            <li class="list-group-item"> {{enseignant.prenom}} {{enseignant.nom}}</li>
            <li class="list-group-item"> Détail : {{enseignant.detail}} </li>
          </ul>
        </div>
      <div class="col-lg-6">
        <form action="{% url 'Soutenances:updateprofil' %}" method="POST" enctype="multipart/form-data">
          {% csrf_token %}
          <h3> Modification du profil </h3>
          <input type="text" class="form-control" name="nom" placeholder="Nom" value="{{enseignant.nom}}"/> <br/>
          <input type="text" class="form-control" name="prenom" placeholder="Prenom" value="{{enseignant.prenom}}"/> <br/>
          <input type="text" class="form-control" name="detail" placeholder="Détail" value="{{enseignant.detail}}"/> <br/>
          <input type="file" class="form-control-file" name="photo" value="{{enseignant.photo}}"/> <br/>
          <button type="submit" class="btn btn-warning"><i class="glyphicon glyphicon-pencil"></i> Modifier </button>
        </form>
      </div>
      </li>
    </ul>
  </div>
  {% else %}

  {% endif %}
{% endblock %}

GestionSoutenances/Soutenances/templates/Soutenances/register_choice.html
{% extends 'Soutenances/base.html' %}

{% block title %} Choix de l'inscription {% endblock %}

{% block contenu %}
<div class="container">
  <div class="col-lg-6">
    <a href="{% url 'Soutenances:registerstudent' %}">
        <button class="btn btn-primary"><i class="glyphicon glyphicon-user"></i> Inscription étudiant </button>
    </a>
  </div>
  <div class="col-lg-6">
    <a href="{% url 'Soutenances:registerteacher' %}">
        <button class="btn btn-primary"><i class="glyphicon glyphicon-user"></i> Inscription professeur </button>
    </a>
  </div>
</div>
{% endblock %}

GestionSoutenances/Soutenances/templates/Soutenances/studentregister.html
{% extends 'Soutenances/base.html' %}

{% block title %} Inscription de l'étudiant {% endblock %}

{% block contenu %}
<form action="{% url 'Soutenances:inscriptionstudent' %}" method="POST">
  <div class="col-lg-6">
    {% csrf_token %}
    <input type="text" name="nom" class="form-control" placeholder="Nom" required/> <br/>
    <input type="text" name="prenom" class="form-control" placeholder="Prénom" required/> <br/>
    <select class="form-control" name="classe">
      {% for groupe in groupes %}
      <option value="{{groupe}}"> {{groupe}} </option>
      {% endfor %}
    </select> <br/>
    <input type="text" name="pseudo" class="form-control" placeholder="Pseudo" required/> <br/>
    <input type="password" name="password" class="form-control" placeholder="Mot de passe" required> <br/>
    <button type="submit" class="btn btn-success"><i class="glyphicon glyphicon-ok"></i> S'inscrire </button>
  </div>
</form>
{% endblock %}